When I brought up fire fox this evening I was told to update to 3.0.5

RESOLVED DUPLICATE of bug 313057

Status

()

Toolkit
Application Update
RESOLVED DUPLICATE of bug 313057
9 years ago
8 years ago

People

(Reporter: Don Moody, Unassigned)

Tracking

1.9.0 Branch
x86
Windows XP
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments, 3 obsolete attachments)

1.99 KB, text/plain
Details
23.10 KB, text/plain
Details
(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 YFF3 Firefox/3.0.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 YFF3 Firefox/3.0.5

All ready running 3.0.5. When I check for updates I get at message that I need to update to 3.0.5. 
Should I uninstall and reinstall Fire Fox. 
Thanking you ahead in this matter, 
Isaac

Reproducible: Always

Steps to Reproduce:
1.When I bring click on "Check for Updates" under "Help"
2.
3.
Uhh you have conflicting version information, your core version is 1.9.0.4 while your firefox version is 3.0.5. That's probably why the updater is asking you to update to 3.0.5. Where did you get this version of firefox from? Can you try reinstalling firefox from http://www.getfirefox.com .
Component: General → Application Update
Product: Firefox → Toolkit
QA Contact: general → application.update
Version: unspecified → 1.9.0 Branch
Before reinstalling please attach the application.ini file located in your Firefox installation directory to this bug using the Add an attachment link above. Thanks
Don, will you be able to provide the application.ini?
(Reporter)

Comment 4

9 years ago
Created attachment 354988 [details]
Firefox\application.ini
(Reporter)

Comment 5

9 years ago
Comment on attachment 354988 [details]
Firefox\application.ini

The file is attached above. 
Thanking you ahead in this matter, 
Don
Attachment #354988 - Attachment description: Firefox → Firefox\application.ini
Attachment #354988 - Attachment mime type: application/octet-stream → text/plain
Don, could you also attach the updates.xml file in your installation directory and the last-update.log file in the updates directory in your installation directory? I have seen one other report of this but it is hard to tell how this happened. Thanks
(Reporter)

Comment 7

9 years ago
Created attachment 354992 [details]
updater.exe

Not sure which updater file you want so I will attach both.
The updates.xml file in your installation directory and the last-update.log in the updates directory in your installation directory.

updates.xml
updates\last-update.log
Attachment #354992 - Attachment is obsolete: true
(Reporter)

Comment 9

9 years ago
Created attachment 354993 [details]
updater.ini
Attachment #354993 - Attachment is obsolete: true
If you re-installed using the installer the files asked for won't be available and we won't be able to diagnose this any further... did you re-install?

The files in relation to the installation directory
updates.xml
updates\last-update.log
(Reporter)

Comment 11

9 years ago
In the process of downloading a new installer. I'm running a dail up connection and it will take a little over and hour to download the installer. 
At that time I will unstall and then reinstall fire fox.
(In reply to comment #11)
> In the process of downloading a new installer. I'm running a dail up connection
> and it will take a little over and hour to download the installer. 
> At that time I will unstall and then reinstall fire fox.
Please don't re-install yet... first I need the following files.

updates.xml - this is located in the installation directory
updates\last-update.log - this is located in the updates directory inside the installation directory
(Reporter)

Comment 13

9 years ago
Created attachment 354994 [details]
install.log
Don, the install.log answered most of the questions. Could you also attach the following file in your installation directory?
distribution\distribution.ini


Kev, it looks like a fresh install of the Yahoo edition of Firefox 3.0.5 is reporting a Gecko version of 1.9.0.4 (incorrect) and a Firefox version of 3.0.5 (correct). It is also requesting to update to Firefox 3.0.5. Can you get the people that created the distribution to check this out?
Attachment #354994 - Attachment mime type: application/octet-stream → text/plain
Don, if the distribution\distribution.ini file doesn't exist just let me know in this bug.
Don, when you do install please perform an uninstall of Firefox first. It appears that you have a yahoo distribution extension installed and this may be what is causing the problem.
(Reporter)

Comment 17

9 years ago
Created attachment 354995 [details]
install.log (same as other install.log)

When i click on browse I do not see any thing that says  "installation directory" or the two files you have requested. I'm sorry but there not there.
The "installation directory" is the directory you installed to... on windows this is typically "c:\program files\Mozilla Firefox" so these directories / files would typically reside in there.
Attachment #354995 - Attachment description: install.log → install.log (same as other install.log)
Attachment #354995 - Attachment is obsolete: true
(Reporter)

Comment 19

9 years ago
After I download the installer I will uninstall fire fox and then do a search for fire fox and delete all files out of my system and then install fire fox. Just to be certain that fire fox is completely out before reinstalling.
The only place you should be concerned with is in your installation directory (typically "c:\program files\Mozilla Firefox"). The other filesystem locations can contain profile data which you likely don't want to lose.
(In reply to comment #14)
>...
> Kev, it looks like a fresh install of the Yahoo edition of Firefox 3.0.5 is
> reporting a Gecko version of 1.9.0.4 (incorrect) and a Firefox version of 3.0.5
> (correct). It is also requesting to update to Firefox 3.0.5. Can you get the
> people that created the distribution to check this out?
Kev, correction. It looks like a previous installation of a Yahoo edition may be causing this.
Don, before uninstalling could you check if the following directories are present

distributions\
extensions\
extensions\{635abd67-4fe9-1b23-4f01-e679fa7484c1}

If the following directory is present
extensions\{635abd67-4fe9-1b23-4f01-e679fa7484c1}

could you zip it up and attach it to this bug?

If the following directory is present
distributions

could you zip it up and attach it to this bug?
(Reporter)

Comment 23

9 years ago
I have uninstall and reinstalled Fire Fox. This is the most bazaar situation I have ever run across. When I would go to "Help" and about "Firefox" it said that I was running 3.0.5. When I went to "Add and Remove Programs" under  "Firefox" it said the version I was running was 3.0.4. 
I cannot tell you why.
I have installed 3.0.5 and and 3.0.5 is in "Add and Remove Programs". 
I'm still trying to figure it out. 
Thanks for all your help. 
If I have any more problems I submit an another bug report.

Comment 24

8 years ago
Robert(rs), is this a type of issue which has been resolved? It sounds familiar to me
note: this shouldn't happen anymore when using 3.0.12 or 3.5 since bug 313057 and bug 485624 landed. I'd like confirmation from the reporter if possible and if the response is it now works or there is no response this should be duped to bug 313057.
Whiteboard: [closeme 2009-12-20]

Updated

8 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 313057
Whiteboard: [closeme 2009-12-20]
You need to log in before you can comment on or make changes to this bug.